Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xalan.xslt
Class AVT

    java.lang.Object
      |
      +--weblogic.apache.xalan.xslt.AVT

public class AVT
extends java.lang.Object
implements java.io.Serializable

Class to hold an Attribute Value Template.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`AVT(java.lang.String name, java.lang.String type, java.lang.String stringedValue, PrefixResolver namespaceContext, Stylesheet stylesheet, XSLTEngineImpl execContext)` Construct an AVT by parsing the string, and either constructing a vector of AVTParts, or simply hold on to the string if the AVT is simple.

Method Summary
`java.lang.String` | `evaluate(XPathSupport execContext, org.w3c.dom.Node context, PrefixResolver nsNode, java.lang.StringBuffer buf)` Evaluate the AVT and return a String.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AVT

    public AVT(java.lang.String name,
               java.lang.String type,
               java.lang.String stringedValue,
               PrefixResolver namespaceContext,
               Stylesheet stylesheet,
               XSLTEngineImpl execContext)
        throws org.xml.sax.SAXException

  Construct an AVT by parsing the string, and either constructing a vector of AVTParts, or simply hold on to the string if the AVT is simple.

Method Detail

### evaluate

    public java.lang.String evaluate(XPathSupport execContext,
                                     org.w3c.dom.Node context,
                                     PrefixResolver nsNode,
                                     java.lang.StringBuffer buf)
                              throws org.xml.sax.SAXException

  Evaluate the AVT and return a String.

  Parameters:
    `context` - The current source tree context.
    `nsNode` - The current namespace context (stylesheet tree context).
    `NodeList` - The current Context Node List.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD